
QGIS Application - Bug report #5326

Checking "on the fly CRS transformation" changes silently the selected CRS (usually to wgs84)

2012-04-05 12:01 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15027

Description

Tested on QGIS master on  both Linux and Windows.

Richard, I'll give the ticket to you because if I'm not wrong you worked on it, but if it is not your business just remove your name.

I'll attach a small screencast to describe better the issue.

Related issues:

Duplicates QGIS Application - Feature request # 3742: Save extent after repro... Closed

History

#1 - 2012-04-05 12:02 PM - Giovanni Manghi

- Category set to Projection Support

- Assignee set to Richard Duivenvoorde

- Target version set to Version 1.8.0

#2 - 2012-04-05 12:16 PM - Jürgen Fischer

Without OTFR the project CRS is meaningless and without any layers there nothing else and WGS84 is just the default CRS.  See #3742.

#3 - 2012-04-05 12:27 PM - Giovanni Manghi

Hi Jurgen

Jürgen Fischer wrote:

Without OTFR the project CRS is meaningless

sorry, I don't understand this statement

and without any layers there nothing else and WGS84 is just the default CRS.  See #3742.

Please help me understand this, so I will close the ticket:

I have a project that is in epsg 3763 and has OTFR enabled as I have layers in both 3763 and 4326. I open the project properties and if I uncheck the

OTFR checkbox the project CRS jumps to 4326. If I selected whatever project CRS and I check the OTFR checkbox the project CRS jumps to 3763. I'm

missing the logic.
#4 - 2012-04-05 12:40 PM - Jürgen Fischer

Giovanni Manghi wrote:

Without OTFR the project CRS is meaningless

sorry, I don't understand this statement

The project CRS defines which CRS the canvas shows - but only if OTFR is on.  Otherwise it's not used, IOW meaningless.

I have a project that is in epsg 3763 and has OTFR enabled as I have layers in both 3763 and 4326. I open the project properties and if I uncheck

the OTFR checkbox the project CRS jumps to 4326. If I selected whatever project CRS and I check the OTFR checkbox the project CRS jumps to

3763. I'm missing the logic.

Then the layer with epsg 4326 is your current layer or there is no active layer and your first layer is on epsg 4326 (see #3742 for more background).

#5 - 2012-04-05 01:13 PM - Giovanni Manghi

- File crs_otfr2.avi added

The project CRS defines which CRS the canvas shows - but only if OTFR is on.  Otherwise it's not used, IOW meaningless.

ok

I have a project that is in epsg 3763 and has OTFR enabled as I have layers in both 3763 and 4326. I open the project properties and if I uncheck

the OTFR checkbox the project CRS jumps to 4326. If I selected whatever project CRS and I check the OTFR checkbox the project CRS jumps to

3763. I'm missing the logic.

Then the layer with epsg 4326 is your current layer or there is no active layer and your first layer is on epsg 4326 (see #3742 for more background).

I will have a look to #3742 right away. But let's make another example (based on the above one).

Project in 3763, OTFR "on" as there are layers in both 3763 and 4326. Then I want to reproject everything in a different CRS, I open the project properties

but before selecting the new project CRS I unselect the OTFR checkbox for whatever reason (even by mistake). I then select a new CRS and then check

the OTFR checkbox. The project CRS "jumps" to a CRS  that is not the one I want to use now. See for example the new attached screencast: in the project

there are not layers in epsg 20790, 20791 or 27493 (just in 4326 and 3763), but I would like to reproject everything in one of those (the one I select before

checking OTFR).

#6 - 2012-04-05 01:14 PM - Giovanni Manghi

- Status changed from Open to Feedback

I'll tag this as feedback for myself, to remember me to leave feedback or close after studying the other ticket.
#7 - 2012-04-05 10:04 PM - Richard Duivenvoorde

I think you both are right. jef technically, Giovanni from user viewpoint. But the 'confusion' comes from the fact that QGIS automagically works. That is: it is

ok to load data in coordinate system X on a mapcanvas WITHOUT crs (that is: it is a carthesian plain).

BUT QGIS silently 'thinks' that it is 4326, ignoring the fact that eg. a latlon coordinate like 300000,500000 is actually silly.

It is OK to let QGIS just work for people 'just wanting to see a shape'. But then NOT let QGIS think it is working in 4326, but for example let QGIS start in

epsg:0 (which is 'no-projectio/carthesian').

We have had this discussion before on the lists, but I think we should maybe start one again in Lyon?

#8 - 2012-04-08 11:24 AM - Giovanni Manghi

- Priority changed from Normal to Low

I read #3742 and I agree that can make sense from the technical point of view, but from the user point of view it is all but an intuitive behaviour: the

standard user do expect to select a crs, check the otfr checkbox and have the project in the selected crs. If the crs is changed in the process it is something

not expected and that can lead to errors/confusions. I agree that we can/should resolve this issue by speaking about it next week, face to face.

#9 - 2012-04-16 03:22 AM - Richard Duivenvoorde

- Assignee changed from Richard Duivenvoorde to Jürgen Fischer

during the hackfest we discussed this, and agreed on the solution that if the otf was UNchecked that we disable/grey-out the crs-windows.

This makes it more clear for a user that IF you uncheck the otf that actually there is no projection defined, AND it makes it impossible for a user to select a

crs and loose it after checking and unchecking the otf checkbox

Jef added this code in his version, but in my recent build it is not available yet?

Jef: did you already commit this? If not, please do and we close this ticket (and hopefully it is a solution for the users confusions)

#10 - 2012-04-18 12:27 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

Richard Duivenvoorde wrote:

Jef: did you already commit this? If not, please do and we close this ticket (and hopefully it is a solution for the users confusions)

yes, fixed in commit:be8ec1bb

Files

crs_otfr.avi 3.59 MB 2012-04-05 Giovanni Manghi

crs_otfr2.avi 3.31 MB 2012-04-05 Giovanni Manghi
